# EdFi.OdsApi.Sdk.Models.Profiles.Rostering.MiGradebookEntryReference
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**DateAssigned** | **DateTime?** | The date the assignment, homework, or assessment was assigned or executed. | 
**GradebookEntryTitle** | **string** | The name or title of the activity to be recorded in the GradebookEntry. | 
**LocalCourseCode** | **string** | The local code assigned by the School that identifies the course offering provided for the instruction of students. | 
**SchoolId** | **int?** | The identifier assigned to a school. | 
**SchoolYear** | **int?** | The identifier for the school year. | 
**SectionIdentifier** | **string** | The local identifier assigned to a section. | 
**SessionName** | **string** | The identifier for the calendar for the academic session (e.g., 2010/11, 2011 Summer). | 
**Link** | [**Link**](Link.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

