# EdFi.OdsApi.Sdk.Models.Composites.ExtendedAssessmentComposites.Assessment
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | 
**AcademicSubjects** | [**List&lt;AssessmentAssessmentAcademicSubject&gt;**](AssessmentAssessmentAcademicSubject.md) | An unordered collection of assessmentAcademicSubjects.  | 
**AssessmentIdentifier** | **string** | A unique number or alphanumeric code assigned to an assessment. | 
**_Namespace** | **string** | Namespace for the Assessment. | 
**AssessedGradeLevels** | [**List&lt;AssessmentAssessmentAssessedGradeLevel&gt;**](AssessmentAssessmentAssessedGradeLevel.md) | An unordered collection of assessmentAssessedGradeLevels.  | [optional] 
**AssessmentCategoryDescriptor** | **string** | The category of an assessment based on format and content. For example:        Achievement test        Advanced placement test        Alternate assessment/grade-level standards        Attitudinal test        Cognitive and perceptual skills test        ... | [optional] 
**AssessmentFamily** | **string** | The AssessmentFamily this Assessment is a member of. | [optional] 
**AssessmentForm** | **string** | Identifies the form of the assessment, for example a regular versus makeup form, multiple choice versus constructed response, etc. | [optional] 
**AssessmentIdentificationCodes** | [**List&lt;AssessmentAssessmentIdentificationCode&gt;**](AssessmentAssessmentIdentificationCode.md) | An unordered collection of assessmentIdentificationCodes.  | [optional] 
**AssessmentItems** | [**List&lt;AssessmentAssessmentItem&gt;**](AssessmentAssessmentItem.md) | An unordered collection of assessmentItems.  | [optional] 
**AssessmentPerformanceLevels** | [**List&lt;AssessmentAssessmentPerformanceLevel&gt;**](AssessmentAssessmentPerformanceLevel.md) | An unordered collection of assessmentPerformanceLevels.  | [optional] 
**AssessmentPeriod** | [**AssessmentAssessmentPeriod**](AssessmentAssessmentPeriod.md) |  | [optional] 
**AssessmentScores** | [**List&lt;AssessmentAssessmentScore&gt;**](AssessmentAssessmentScore.md) | An unordered collection of assessmentScores.  | [optional] 
**AssessmentTitle** | **string** | The title or name of the Assessment. | 
**AssessmentVersion** | **int?** | The version identifier for the assessment. | [optional] 
**ContentStandard** | [**AssessmentAssessmentContentStandard**](AssessmentAssessmentContentStandard.md) |  | [optional] 
**Languages** | [**List&lt;AssessmentAssessmentLanguage&gt;**](AssessmentAssessmentLanguage.md) | An unordered collection of assessmentLanguages.  | [optional] 
**MaxRawScore** | **int?** | The maximum raw score achievable across all assessment items that are correct and scored at the maximum. | [optional] 
**Nomenclature** | **string** | Reflects the specific nomenclature used for Assessment. | [optional] 
**ObjectiveAssessments** | [**List&lt;AssessmentObjectiveAssessment&gt;**](AssessmentObjectiveAssessment.md) | An unordered collection of objectiveAssessments.  | [optional] 
**RevisionDate** | **DateTime?** | The month, day, and year that the conceptual design for the assessment was most recently revised substantially. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

