# EdFi.OdsApi.Sdk.Models.Composites.ExtendedAssessmentComposites.AssessmentObjectiveAssessmentObjectiveAssessmentAssessmentItem
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | 
**IdentificationCode** | **string** | A unique number or alphanumeric code assigned to a space, room, site, building, individual, organization, program, or institution by a school, school system, state, or other agency or entity. | 
**AssessmentItemCategoryDescriptor** | **string** | Category or type of the AssessmentItem. For example:        Multiple choice        Analytic        Prose        ... | [optional] 
**CorrectResponse** | **string** | The correct response for the AssessmentItem. | [optional] 
**ExpectedTimeAssessed** | **string** | The duration of time allotted for the AssessmentItem. | [optional] 
**MaxRawScore** | **int?** | The maximum raw score achievable across all assessment items that are correct and scored at the maximum. | [optional] 
**Nomenclature** | **string** | Reflects the specific nomenclature used for AssessmentItem. | [optional] 
**AssessmentItemLearningStandards** | [**List&lt;AssessmentObjectiveAssessmentObjectiveAssessmentAssessmentItemAssessmentItemLearningStandard&gt;**](AssessmentObjectiveAssessmentObjectiveAssessmentAssessmentItemAssessmentItemLearningStandard.md) | An unordered collection of assessmentItemLearningStandards.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

