# EdFi.OdsApi.Sdk.Models.Profiles.Rostering.EdFiSectionReadable
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | 
**SectionIdentifier** | **string** | The local identifier assigned to a section. | 
**CourseOfferingReference** | [**EdFiCourseOfferingReference**](EdFiCourseOfferingReference.md) |  | 
**LocationReference** | [**EdFiLocationReference**](EdFiLocationReference.md) |  | [optional] 
**LocationSchoolReference** | [**EdFiSchoolReference**](EdFiSchoolReference.md) |  | [optional] 
**AvailableCreditConversion** | **double?** | Conversion factor that when multiplied by the number of credits is equivalent to Carnegie units. | [optional] 
**AvailableCredits** | **double?** | The value of credits or units of value awarded for the completion of a course. | [optional] 
**AvailableCreditTypeDescriptor** | **string** | The type of credits or units of value awarded for the completion of a course. | [optional] 
**ClassPeriods** | [**List&lt;EdFiSectionClassPeriodReadable&gt;**](EdFiSectionClassPeriodReadable.md) | An unordered collection of sectionClassPeriods. The class period during which the Section meets. | [optional] 
**EducationalEnvironmentDescriptor** | **string** | The setting in which a child receives education and related services; for example:        Center-based instruction        Home-based instruction        Hospital class        Mainstream        Residential care and treatment facility        ... | [optional] 
**InstructionLanguageDescriptor** | **string** | The primary language of instruction, if omitted English is assumed. | [optional] 
**MediumOfInstructionDescriptor** | **string** | The media through which teachers provide instruction to students and students and teachers communicate about instructional matters; for example:        Technology-based instruction in classroom        Correspondence instruction        Face-to-face instruction        Virtual/On-line Distance learning        Center-based instruction        ... | [optional] 
**PopulationServedDescriptor** | **string** | The type of students the Section is offered and tailored to; for example:        Bilingual students        Remedial education students        Gifted and talented students        Career and Technical Education students        Special education students        ... | [optional] 
**SequenceOfCourse** | **int?** | When a section is part of a sequence of parts for a course, the number of the sequence. If the course has only one part, the value of this section attribute should be 1. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 
**Ext** | [**SectionExtensionsReadable**](SectionExtensionsReadable.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

