# EdFi.OdsApi.Sdk.Models.Composites.ExtendedAssessmentComposites.StudentAssessmentAssessment
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | 
**AssessmentIdentifier** | **string** | A unique number or alphanumeric code assigned to an assessment. | 
**_Namespace** | **string** | Namespace for the Assessment. | 
**AssessmentTitle** | **string** | The title or name of the Assessment. | 
**AssessmentVersion** | **int?** | The version identifier for the assessment. | [optional] 
**AcademicSubjects** | [**List&lt;StudentAssessmentAssessmentAssessmentAcademicSubject&gt;**](StudentAssessmentAssessmentAssessmentAcademicSubject.md) | An unordered collection of assessmentAcademicSubjects.  | 
**AssessedGradeLevels** | [**List&lt;StudentAssessmentAssessmentAssessmentAssessedGradeLevel&gt;**](StudentAssessmentAssessmentAssessmentAssessedGradeLevel.md) | An unordered collection of assessmentAssessedGradeLevels.  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

